namespace Avalonia.Media
{
    /// <summary>
    /// Predefined brushes.
    /// </summary>
    public static class Brushes
    {
        /// <summary>
        /// Gets an <see cref="Colors.AliceBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush AliceBlue => KnownColor.AliceBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.AntiqueWhite"/> colored brush.
        /// </summary>
        public static ISolidColorBrush AntiqueWhite => KnownColor.AntiqueWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Aqua"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Aqua => KnownColor.Aqua.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Aquamarine"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Aquamarine => KnownColor.Aquamarine.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Azure"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Azure => KnownColor.Azure.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Beige"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Beige => KnownColor.Beige.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Bisque"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Bisque => KnownColor.Bisque.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Black"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Black => KnownColor.Black.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.BlanchedAlmond"/> colored brush.
        /// </summary>
        public static ISolidColorBrush BlanchedAlmond => KnownColor.BlanchedAlmond.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Blue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Blue => KnownColor.Blue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.BlueViolet"/> colored brush.
        /// </summary>
        public static ISolidColorBrush BlueViolet => KnownColor.BlueViolet.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Brown"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Brown => KnownColor.Brown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.BurlyWood"/> colored brush.
        /// </summary>
        public static ISolidColorBrush BurlyWood => KnownColor.BurlyWood.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.CadetBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush CadetBlue => KnownColor.CadetBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Chartreuse"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Chartreuse => KnownColor.Chartreuse.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Chocolate"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Chocolate => KnownColor.Chocolate.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Coral"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Coral => KnownColor.Coral.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.CornflowerBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush CornflowerBlue => KnownColor.CornflowerBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Cornsilk"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Cornsilk => KnownColor.Cornsilk.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Crimson"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Crimson => KnownColor.Crimson.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Cyan"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Cyan => KnownColor.Cyan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkBlue => KnownColor.DarkBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkCyan"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkCyan => KnownColor.DarkCyan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkGoldenrod"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkGoldenrod => KnownColor.DarkGoldenrod.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkGray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkGray => KnownColor.DarkGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkGreen => KnownColor.DarkGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkKhaki"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkKhaki => KnownColor.DarkKhaki.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkMagenta"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkMagenta => KnownColor.DarkMagenta.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkOliveGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkOliveGreen => KnownColor.DarkOliveGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkOrange"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkOrange => KnownColor.DarkOrange.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkOrchid"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkOrchid => KnownColor.DarkOrchid.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkRed"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkRed => KnownColor.DarkRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSalmon"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkSalmon => KnownColor.DarkSalmon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSeaGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkSeaGreen => KnownColor.DarkSeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSlateBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkSlateBlue => KnownColor.DarkSlateBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkSlateGray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkSlateGray => KnownColor.DarkSlateGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkTurquoise"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkTurquoise => KnownColor.DarkTurquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DarkViolet"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DarkViolet => KnownColor.DarkViolet.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DeepPink"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DeepPink => KnownColor.DeepPink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DeepSkyBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DeepSkyBlue => KnownColor.DeepSkyBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DimGray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DimGray => KnownColor.DimGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.DodgerBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush DodgerBlue => KnownColor.DodgerBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Firebrick"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Firebrick => KnownColor.Firebrick.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.FloralWhite"/> colored brush.
        /// </summary>
        public static ISolidColorBrush FloralWhite => KnownColor.FloralWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.ForestGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush ForestGreen => KnownColor.ForestGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Fuchsia"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Fuchsia => KnownColor.Fuchsia.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Gainsboro"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Gainsboro => KnownColor.Gainsboro.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.GhostWhite"/> colored brush.
        /// </summary>
        public static ISolidColorBrush GhostWhite => KnownColor.GhostWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Gold"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Gold => KnownColor.Gold.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Goldenrod"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Goldenrod => KnownColor.Goldenrod.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Gray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Gray => KnownColor.Gray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Green"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Green => KnownColor.Green.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.GreenYellow"/> colored brush.
        /// </summary>
        public static ISolidColorBrush GreenYellow => KnownColor.GreenYellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Honeydew"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Honeydew => KnownColor.Honeydew.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.HotPink"/> colored brush.
        /// </summary>
        public static ISolidColorBrush HotPink => KnownColor.HotPink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.IndianRed"/> colored brush.
        /// </summary>
        public static ISolidColorBrush IndianRed => KnownColor.IndianRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Indigo"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Indigo => KnownColor.Indigo.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Ivory"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Ivory => KnownColor.Ivory.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Khaki"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Khaki => KnownColor.Khaki.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Lavender"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Lavender => KnownColor.Lavender.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LavenderBlush"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LavenderBlush => KnownColor.LavenderBlush.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LawnGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LawnGreen => KnownColor.LawnGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LemonChiffon"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LemonChiffon => KnownColor.LemonChiffon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightBlue => KnownColor.LightBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightCoral"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightCoral => KnownColor.LightCoral.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightCyan"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightCyan => KnownColor.LightCyan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightGoldenrodYellow"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightGoldenrodYellow => KnownColor.LightGoldenrodYellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightGray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightGray => KnownColor.LightGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightGreen => KnownColor.LightGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightPink"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightPink => KnownColor.LightPink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSalmon"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightSalmon => KnownColor.LightSalmon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSeaGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightSeaGreen => KnownColor.LightSeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSkyBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightSkyBlue => KnownColor.LightSkyBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSlateGray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightSlateGray => KnownColor.LightSlateGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightSteelBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightSteelBlue => KnownColor.LightSteelBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LightYellow"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LightYellow => KnownColor.LightYellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Lime"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Lime => KnownColor.Lime.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.LimeGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush LimeGreen => KnownColor.LimeGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Linen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Linen => KnownColor.Linen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Magenta"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Magenta => KnownColor.Magenta.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Maroon"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Maroon => KnownColor.Maroon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumAquamarine"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumAquamarine => KnownColor.MediumAquamarine.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumBlue => KnownColor.MediumBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumOrchid"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumOrchid => KnownColor.MediumOrchid.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumPurple"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumPurple => KnownColor.MediumPurple.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumSeaGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumSeaGreen => KnownColor.MediumSeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumSlateBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumSlateBlue => KnownColor.MediumSlateBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumSpringGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumSpringGreen => KnownColor.MediumSpringGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumTurquoise"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumTurquoise => KnownColor.MediumTurquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MediumVioletRed"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MediumVioletRed => KnownColor.MediumVioletRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MidnightBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MidnightBlue => KnownColor.MidnightBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MintCream"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MintCream => KnownColor.MintCream.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.MistyRose"/> colored brush.
        /// </summary>
        public static ISolidColorBrush MistyRose => KnownColor.MistyRose.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Moccasin"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Moccasin => KnownColor.Moccasin.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.NavajoWhite"/> colored brush.
        /// </summary>
        public static ISolidColorBrush NavajoWhite => KnownColor.NavajoWhite.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Navy"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Navy => KnownColor.Navy.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.OldLace"/> colored brush.
        /// </summary>
        public static ISolidColorBrush OldLace => KnownColor.OldLace.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Olive"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Olive => KnownColor.Olive.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.OliveDrab"/> colored brush.
        /// </summary>
        public static ISolidColorBrush OliveDrab => KnownColor.OliveDrab.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Orange"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Orange => KnownColor.Orange.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.OrangeRed"/> colored brush.
        /// </summary>
        public static ISolidColorBrush OrangeRed => KnownColor.OrangeRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Orchid"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Orchid => KnownColor.Orchid.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleGoldenrod"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PaleGoldenrod => KnownColor.PaleGoldenrod.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PaleGreen => KnownColor.PaleGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleTurquoise"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PaleTurquoise => KnownColor.PaleTurquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PaleVioletRed"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PaleVioletRed => KnownColor.PaleVioletRed.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PapayaWhip"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PapayaWhip => KnownColor.PapayaWhip.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PeachPuff"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PeachPuff => KnownColor.PeachPuff.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Peru"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Peru => KnownColor.Peru.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Pink"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Pink => KnownColor.Pink.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Plum"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Plum => KnownColor.Plum.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.PowderBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush PowderBlue => KnownColor.PowderBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Purple"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Purple => KnownColor.Purple.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Red"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Red => KnownColor.Red.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.RosyBrown"/> colored brush.
        /// </summary>
        public static ISolidColorBrush RosyBrown => KnownColor.RosyBrown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.RoyalBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush RoyalBlue => KnownColor.RoyalBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SaddleBrown"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SaddleBrown => KnownColor.SaddleBrown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Salmon"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Salmon => KnownColor.Salmon.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SandyBrown"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SandyBrown => KnownColor.SandyBrown.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SeaGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SeaGreen => KnownColor.SeaGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SeaShell"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SeaShell => KnownColor.SeaShell.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Sienna"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Sienna => KnownColor.Sienna.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Silver"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Silver => KnownColor.Silver.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SkyBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SkyBlue => KnownColor.SkyBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SlateBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SlateBlue => KnownColor.SlateBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SlateGray"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SlateGray => KnownColor.SlateGray.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Snow"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Snow => KnownColor.Snow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SpringGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SpringGreen => KnownColor.SpringGreen.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.SteelBlue"/> colored brush.
        /// </summary>
        public static ISolidColorBrush SteelBlue => KnownColor.SteelBlue.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Tan"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Tan => KnownColor.Tan.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Teal"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Teal => KnownColor.Teal.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Thistle"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Thistle => KnownColor.Thistle.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Tomato"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Tomato => KnownColor.Tomato.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Transparent"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Transparent => KnownColor.Transparent.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Turquoise"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Turquoise => KnownColor.Turquoise.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Violet"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Violet => KnownColor.Violet.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Wheat"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Wheat => KnownColor.Wheat.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.White"/> colored brush.
        /// </summary>
        public static ISolidColorBrush White => KnownColor.White.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.WhiteSmoke"/> colored brush.
        /// </summary>
        public static ISolidColorBrush WhiteSmoke => KnownColor.WhiteSmoke.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.Yellow"/> colored brush.
        /// </summary>
        public static ISolidColorBrush Yellow => KnownColor.Yellow.ToBrush();

        /// <summary>
        /// Gets an <see cref="Colors.YellowGreen"/> colored brush.
        /// </summary>
        public static ISolidColorBrush YellowGreen => KnownColor.YellowGreen.ToBrush();
    }
}
